<br/>
<div class="container">
  <div class="card">
    <article class="card-body">
      <h2 class="card-title text-center mb-4 mt-1">Edit</h2>
      <hr/>
      <%= form_for(@user, url: admin_edit_user_path(id: @user.id), html: { method: :put }) do |f| %>
        <div class="filed form-group">
          <%= f.label :name %><br/>
          <%= f.text_field :name, autofocus: true, autocomplete: 'name', class: 'form-control' %>
        </div>

        <div class="filed form-group">
          <%= f.label :marital_status, 'Single', value: false, class: 'form-check-label' %>
          <%= f.radio_button :marital_status, false, class: 'form-check-input', :checked => (!@user.marital_status) %>
          <%= f.label :marital_status, 'Married', value: true, class: 'form-check-label' %>
          <%= f.radio_button :marital_status, true, class: 'form-check-input', :checked => (@user.marital_status) %>
        </div>

        <div class="filed form-group">
          <%= f.label :gender_id %>
          <%#= f.select :gender_id, @genders, { required: true }, class: 'form-select' %>
          <%= f.select :gender_id, options_from_collection_for_select(Gender.all, :id, :gender, @user.gender_id) %>
        </div>

        <div class="filed form-group">
          <%= f.label :education %><br/>
          <%= f.text_field :education, autofocus: true, autocomplete: 'education', class: 'form-control' %>
        </div>

        <div class="filed form-group">
          <%= f.label :address %><br/>
          <%= f.text_area :address, autofocus: true, autocomplete: 'address', class: 'form-control', :value => @user.address %>
        </div>

        <hr/>

        <div class="filed form-group">
          <%= f.label :team %><br/>
          <%= f.text_field :team, autofocus: true, autocomplete: 'team', class: 'form-control' %>
        </div>

        <div class="field form-group">
          <%= f.label :role_id %><br/>
          <%#= f.select :role_id, @roles, {}, class: 'form-select', id: 'roles' %>
          <%= f.select :role_id, options_from_collection_for_select(Role.all, :id, :name, @user.role_id) %>
        </div>

        <div class="filed form-group">
          <%= f.label :email %><br/>
          <%= f.email_field :email, autofocus: true, autocomplete: 'email', class: 'form-control' %>
        </div>

        <br/>

        <div class="actions">
          <%= link_to 'Back', admin_index_path,class: 'btn btn-danger'%>
          <%= f.submit "Update", class: 'btn btn-danger' %>
        </div>
      <% end %>
    </article>
  </div>
</div>
<br/>
<br/>
